Atributo de blocos

Em vários forums eu vi gente perguntando como que faz para acessar os atributos de um bloco... bem, um exemplo:
(defun get-entname-of-tag  (ent tag / tmp)
  (
setq tmp
      (vl-catch-all-apply
        '(lambda nil
           (setq ent (vlax-ename->vla-object
                       (ename-of ent))
                 tmp (cadr
    (assoc (strcase tag)
           (
mapcar
             '(lambda (x)
                (
list
                  (strcase (vla-get-tagstring x))
                  (
vlax-vla-object->ename x)))
             (
3d-of-vla (vla-getattributes ent))
                                )))))))
  (
if (not (vl-catch-all-error-p tmp))
    tmp))



com este exemplo, pode-se acessar a ename do atributo de um bloco, fornecendo à rotina a string do nome do atributo... com isso ja estaremos aptos a aplicar entmods nele!!!

LinkWithin

Related Posts Plugin for WordPress, Blogger...